Artmedic Newsletter Log.PHP 任意PHP代码执行漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110298 漏洞类型 输入验证
发布时间 2006-05-19 更新时间 2006-05-26
CVE编号 CVE-2006-2608 CNNVD-ID CNNVD-200605-483
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/27900
https://cxsecurity.com/issue/WLB-2006050151
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-483
|漏洞详情
artmedicnewsletter4.1及可能的其他版本在启用register_globals时,可以使远程攻击者借助对log.php的直接请求中的logfile参数,将$logfile变量重定义为由攻击者控制的值,以修改任意文件并执行任意PHP代码。比如将PHP代码注入info.php。
|漏洞EXP
source: http://www.securityfocus.com/bid/18047/info

Artmedic Newsletter is prone to a remote PHP code-execution vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to create files containing arbitrary content that can include arbitrary malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible. Attackers may also remove arbitrary log files, assisting them in obscuring their actions.

Version 4.1 of the software is vulnerable to this issue; other versions may also be affected.

http://www.example.com/log.php?logfile=info.php&logtime=000060&email=<?%20require($cur);%20echo%20$password%20?> http://www.example.com/log.php?logfile=info.php&logtime=000000
|参考资料

来源:BID
名称:18047
链接:http://www.securityfocus.com/bid/18047
来源:BUGTRAQ
名称:20060519RemoteCodeExecutioninartmedicNewsletter4.1[log.php]
链接:http://www.securityfocus.com/archive/1/archive/1/434738/100/0/threaded
来源:VUPEN
名称:ADV-2006-1930
链接:http://www.frsirt.com/english/advisories/2006/1930
来源:SECUNIA
名称:20204
链接:http://secunia.com/advisories/20204
来源:XF
名称:artmedic-newsletter-code-execution(26597)
链接:http://xforce.iss.net/xforce/xfdb/26597
来源:SREASON
名称:957
链接:http://securityreason.com/securityalert/957